org.richfaces.component

## Class UIJQuery

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractJQuery
      - - org.richfaces.component.UIJQuery

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIJQuery
      extends AbstractJQuery

  The <rich:jQuery> component applies styles and custom behavior to both JSF (JavaServer Faces) objects and regular DOM (Document Object Model) objects. It uses the jQuery JavaScript framework to add functionality to web applications.

  This component is for use as a facelet tag. See the <rich:jQuery> EL function for access to the jQuery library via EL.

  Author:
    nick

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIJQuery.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIJQuery()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JQueryAttachType` | `getAttachType()` The type of the attachment - decides about how is operation attached to the selected elements: "bind" (default - binds to the selected elements immediately, elements which could be matched by selector in the future won't be considered - offers a best performance), "live" (attach an event handler for all elements which match the current selector, now and in the future - may cause a slow performance), "one" (attach a handler to an event for the elements, the handler is executed at most once per element)
    `String` | `getEvent()` The DOM event which should be the query bound to.
    `String` | `getFamily()`
    `String` | `getName()` The name of a function that will be generated to execute a query.
    `String` | `getQuery()` The query string that is executed for a given selector.
    `String` | `getSelector()` The jQuery selector (subset of CSS selectors defined by W3C) of the element to which the jQuery function should be applied.
    `JQueryTiming` | `getTiming()` The timing of the jQuery attachment: "domready" (when DOM is ready), "immediate" (immediately after component client-side code is processed).
    `void` | `setAttachType(JQueryAttachType attachType)`
    `void` | `setEvent(String event)`
    `void` | `setName(String name)`
    `void` | `setQuery(String query)`
    `void` | `setSelector(String selector)`
    `void` | `setTiming(JQueryTiming timing)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIJQuery

          public UIJQuery()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getAttachType

          public JQueryAttachType getAttachType()

      Description copied from class: `AbstractJQuery`
      The type of the attachment - decides about how is operation attached to the selected elements: "bind" (default - binds to the selected elements immediately, elements which could be matched by selector in the future won't be considered - offers a best performance), "live" (attach an event handler for all elements which match the current selector, now and in the future - may cause a slow performance), "one" (attach a handler to an event for the elements, the handler is executed at most once per element)
      Specified by:
        `getAttachType` in class `AbstractJQuery`

    - #### setAttachType

          public void setAttachType(JQueryAttachType attachType)

    - #### getEvent

          public String getEvent()

      Description copied from class: `AbstractJQuery`
      The DOM event which should be the query bound to.
      Specified by:
        `getEvent` in class `AbstractJQuery`

    - #### setEvent

          public void setEvent(String event)

    - #### getName

          public String getName()

      Description copied from class: `AbstractJQuery`
      The name of a function that will be generated to execute a query.
      Specified by:
        `getName` in class `AbstractJQuery`

    - #### setName

          public void setName(String name)

    - #### getQuery

          public String getQuery()

      Description copied from class: `AbstractJQuery`
      The query string that is executed for a given selector.
      Specified by:
        `getQuery` in class `AbstractJQuery`

    - #### setQuery

          public void setQuery(String query)

    - #### getSelector

          public String getSelector()

      Description copied from class: `AbstractJQuery`
      The jQuery selector (subset of CSS selectors defined by W3C) of the element to which the jQuery function should be applied. ID selectors starting with hash sign (#) will be expanded from componentId to clientId form. (e.g. #component is expanded to #form:component in case that component is nested in form)
      Specified by:
        `getSelector` in class `AbstractJQuery`

    - #### setSelector

          public void setSelector(String selector)

    - #### getTiming

          public JQueryTiming getTiming()

      Description copied from class: `AbstractJQuery`
      The timing of the jQuery attachment: "domready" (when DOM is ready), "immediate" (immediately after component client-side code is processed). This attribute is ignored when attribute "name" is provided. Default value - "domready"
      Specified by:
        `getTiming` in class `AbstractJQuery`

    - #### setTiming

          public void setTiming(JQueryTiming timing)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.